<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetAddInInfo Method (IEdmAddInMgr5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddInMgr5 Interface : GetAddInInfo Method (IEdmAddInMgr5)

Visual Basic
C#
C++/CLI

bsPath
  Path to the DLL about which to get information

poReserved
  Null only

poInfo
  EdmAddInInfo structure; returned add-in information

Obsolete. Superseded by IEdmAddInMgr6::GetAddInInfo2 .

# Syntax

Visual Basic |
--- | ---

    Sub GetAddInInfo( _
       ByVal bsPath As System.String, _
       ByRef poReserved As System.Object, _
       ByRef poInfo As EdmAddInInfo _
    )

C# |
--- | ---

    void GetAddInInfo(
       System.string bsPath,
       ref System.object poReserved,
       out EdmAddInInfo poInfo
    )

C++/CLI |
--- | ---

    void GetAddInInfo(
    &   System.String^ bsPath,
    &   System.Object^% poReserved,
    &   [Out] EdmAddInInfo poInfo
    )

#### Parameters

bsPath
  Path to the DLL about which to get information
poReserved
  Null only
poInfo
  EdmAddInInfo structure; returned add-in information

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddInMgr5 Interface
IEdmAddInMgr5 Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional